unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org, notmuch@freelists.org
Subject: [PATCH 4/5] perf-test: add memory test for reply
Date: Sun, 21 May 2017 09:48:20 -0300	[thread overview]
Message-ID: <20170521124821.23924-5-david@tethera.net> (raw)
In-Reply-To: <20170521124821.23924-1-david@tethera.net>

Looking at the code for notmuch-reply, there seems to be several gmime
related memory leaks. This test is supposed to help eliminate those.
---
 performance-test/M04-reply.sh | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100755 performance-test/M04-reply.sh

diff --git a/performance-test/M04-reply.sh b/performance-test/M04-reply.sh
new file mode 100755
index 00000000..ca8a899b
--- /dev/null
+++ b/performance-test/M04-reply.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+test_description='search'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+for id in $(notmuch search --output=messages '*' | shuf -n 5); do
+    memory_run "reply $id" "notmuch reply $id 1>/dev/null"
+    memory_run "reply --format=json $id" "notmuch reply --format=json $id 1>/dev/null"
+    memory_run "reply --format=sexp $id" "notmuch reply --format=sexp $id 1>/dev/null"
+done
+
+memory_done
-- 
2.11.0

  parent reply	other threads:[~2017-05-21 12:48 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-05-21 12:48 gmime 3.0 related preliminaries David Bremner
2017-05-21 12:48 ` [PATCH 1/5] util: convenience function to create gmime stream for stdout David Bremner
2017-05-21 13:28   ` David Bremner
2017-05-21 15:34     ` David Bremner
2017-05-21 12:48 ` [PATCH 2/5] cli/reply: direct all output for text format to gmime stream David Bremner
2017-05-21 12:48 ` [PATCH 3/5] cli/show: use single stream for printf / gmime object output David Bremner
2017-05-21 12:48 ` David Bremner [this message]
2017-05-21 12:48 ` [PATCH 5/5] cli/reply: fix memory leak David Bremner
2017-05-21 13:17   ` David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20170521124821.23924-5-david@tethera.net \
    --to=david@tethera.net \
    --cc=notmuch@freelists.org \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).